package cn.jyjz.xiaoyao.framework.security.captcha.utile;


import cn.jyjz.xiaoyao.common.base.constant.RequestParameterConstans;
import org.springframework.stereotype.Component;

/**
 * Created by zhangyong on 2021/3/14.
 */
@Component
public class CaptchUtil {

    /**
     * 获得缓存中对应的验证码
     * @param capText 缓存中验证码原始对象
     * @param prix
     * @return
     */
    public String getCode(String capText,String prix){

        String code = "";
        if(org.apache.commons.lang3.StringUtils.isBlank(capText)){
            return code;
        }
        //验证码类型，math表示计算图片，char表示图片
        String type = capText.substring(0,capText.indexOf(prix));

        if (RequestParameterConstans.CACHE_MATH.equals(type))
        {
            code = capText.substring(capText.lastIndexOf("@") + 1);
        }
        else if (RequestParameterConstans.CACHE_CHAR.equals(type))
        {
            code = capText.substring(capText.lastIndexOf(prix)+1);
        }

        return code;
    }
}
